ScalarQuantizedVectorSimilarity.MaximumInnerProduct (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.quantization, interface: ScalarQuantizedVectorSimilarity, class: MaximumInnerProduct

Package org.apache.lucene.util.quantization

# Class ScalarQuantizedVectorSimilarity.MaximumInnerProduct

java.lang.Object
org.apache.lucene.util.quantization.ScalarQuantizedVectorSimilarity.MaximumInnerProduct

All Implemented Interfaces:
  `ScalarQuantizedVectorSimilarity`

Enclosing interface:
  `ScalarQuantizedVectorSimilarity`

public static class ScalarQuantizedVectorSimilarity.MaximumInnerProduct extends Object implements ScalarQuantizedVectorSimilarity
Calculates max inner product on quantized vectors, applying the appropriate corrections

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.lucene.util.quantization.ScalarQuantizedVectorSimilarity

  `ScalarQuantizedVectorSimilarity.ByteVectorComparator, ScalarQuantizedVectorSimilarity.DotProduct, ScalarQuantizedVectorSimilarity.Euclidean, ScalarQuantizedVectorSimilarity.MaximumInnerProduct`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MaximumInnerProduct(float constMultiplier, ScalarQuantizedVectorSimilarity.ByteVectorComparator comparator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `score(byte[] queryVector, float queryOffset, byte[] storedVector, float vectorOffset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MaximumInnerProduct

    public MaximumInnerProduct(float constMultiplier, ScalarQuantizedVectorSimilarity.ByteVectorComparator comparator)

- ## Method Details

  - ### score

    public float score(byte[] queryVector, float queryOffset, byte[] storedVector, float vectorOffset)
    Specified by:
      `score` in interface `ScalarQuantizedVectorSimilarity`